XmTextGetMaxLength(3Xm)

NAME
XmTextGetMaxLength — a Text function that accesses the value of the current maximum allowable length of a text string entered from the keyboard.

SYNOPSIS
#include <Xm/Text.h>

int XmTextGetMaxLength (widget)
    Widget    widget;

DESCRIPTION
XmTextGetMaxLength accesses the value of the current maximum allowable length of the text string in the Text widget entered from the keyboard. The maximum allowable length prevents the user from entering a text string larger than this limit.

widget
    Specifies the Text widget ID.

For a complete definition of Text and its associated resources, see XmText(3Xm).

RETURN VALUE
Returns the integer value that indicates the string's maximum allowable length that can be entered from the keyboard.

RELATED INFORMATION
XmText(3Xm).